---
layout: handbook-page-toc
title: UX Showcase
description: >-
  The UX Showcase is a recurring meeting that allows each stage group to walk
  through various research findings and design solutions.
---

#### On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## About UX Showcase

The UX Showcase is a recurring meeting that allows each stage group to walk through various research findings and design solutions. All showcases are recorded and made available on [GitLab Unfiltered](https://www.youtube.com/playlist?list=PL05JrBw4t0Kq89nFXtkVviaIfYQPptwJz) for Product, UX, Engineering, and Leadership to watch at their convenience.

### Purpose

- Increase awareness of the value delivered through UX by highlighting business and customer value
- Increase visibility into UX research, design opportunities, and solutions
- Increase exposure of stage group UX activities to the broader organization
- Increase synchronous discussion immediately following the topic shared or asynchronously after the UX Showcase

### Audience

- Stage Group Product Designer, Researcher, and/or Technical Writer (Presenter)
- Product
- Engineering
- Relevant Leadership (VP of UX, VP of Development, CEO, VP of Product)

### Schedule

UX Showcases are scheduled every two weeks. They are 60 minutes long to allow up to three team members to share for 15 minutes, plus 5 minutes of discussion time from the UX Department.

- To be inclusive of our distributed team, we alternate the meeting start time every other occurrence to be either Americas/LAC/EMEA friendly or APAC friendly.
- Each showcase is hosted by a Product Design Manager.
    - Due to time zone restrictions for managers, the APAC UX Showcase is hosted by another Product Designer, Technical Writer or UX researcher.
- Product Designers are assigned presentation dates based on a randomly generated rotation:
    - We ensure each designer has the opportunity to present twice a year.
    - Gaps are left throughout the schedule for additional presenters.
- Anyone can sign up to share in a UX Showcase. Coordinate with the host to claim an available spot.
- Each person who shares is expected to fill out the agenda (attached to the meeting invite) for that week prior to presenting.
- It is the responsibility of the host to know when they are scheduled to host and the responsibility of the presenter to know when they are scheduled to present. To help, a slack reminder has been set up in the #ux channel to review the showcase schedule.

If a Product Designer can't present on the assigned date, it's their responsibility to make a trade. To make a trade:
- announce in Slack (#UX channel) and during the UX Weekly call that you'd like to trade
- after you identify a trade, make an MR to update the schedule
- ask your Product Design Manager to review and merge.

<%= partial("includes/ux-showcase/schedule") %>

<a href="https://gitlab.com/-/ide/project/gitlab-com/www-gitlab-com/edit/master/-/sites/handbook/source/includes/ux-showcase/_schedule.md" class="btn btn-default btn-sm">Update schedule</a>

## Sharing your work

You have up to 15 minutes to share some of your work. If you need more time to present a complex topic, ask the host about having less people present at that showcase.

You should come prepared with sufficient artifacts to tell a story. Use your best judgment to determine what will most effectively convey the story: a few slides, a process diagram, a journey map, a series of mockups, a prototype, and so on.

Preparation for a UX Showcase should be minimal. Ideally, you should present your topic without creating dedicated slides or assets. The UX Showcase is all about sharing your work in progress, not fancy storytelling. See more [helpful tips](#helpful-tips-for-presenters)

Examples of minimal UX Showcase presentations:

- [Fulfillment: Improve provisioning and onboarding of new sales assisted GitLab com subscribers](https://youtu.be/JYl2_Pnh_-I )
- [Secure: Validating and prioritizing your roadmap](https://youtu.be/FVhZ_XNiR6U)
- [Secure: Group-level security scanner status widget](https://youtu.be/4W-cWcEae_o)
- [Secure: Security Workflow Iterations](https://youtu.be/v3gv-rplcBI)

### Preparation

Preparation time should be minimal, as you'll present the work you've done thus far.

- Prior to the UX Showcase, communicate your specific topic in the meeting agenda.
- If this is an APAC showcase and there is no host yet, consider [hosting](/handbook/product/ux/ux-department-workflow/ux-showcase/#hosting). 
- Provide context for the problem you were trying to solve:
    - The scope of the problem
    - Why was it important to solve?
    - What did we learn during research?
    - Were there any constraints that impacted the solution?
- State the desired goals of the work:
    - What is the desired business and customer outcome?
    - Ideally, describe the [JTDB](https://jtbd.info/replacing-the-user-story-with-the-job-story-af7cdee10c27)
        - When, [users' context]. I want to [user's goal]. So I can [users's desired outcome].
    - What were the constraints?
    - How did you iterate toward an MVC?
- Walk your audience through the solution iterations:
    - You might prepare a few slides, but this is optional
    - Be yourself and tell the story of the work you did
    - Use existing mockups and flows, rather than creating something new

### Helpful tips for those sharing

- Introduce yourself and provide [context](#preparation) for your presentation.
- [Make the participant experience an enjoyable one](/handbook/tools-and-tips/zoom/#make-the-participant-experience-an-enjoyable-one): avoid moving around too fast (for example, when showing a Figma prototype), or back and forth between views because you forgot to say one thing at the previous one.
- [When sharing your screen](/handbook/tools-and-tips/zoom/#how-to-share-a-presentation-in-zoom), consider going fullscreen so that the audience can see the details of your presentation.
- Make sure the minimum font size of text in your presentation is large enough so that it can easily be read by everyone.
- [Provide links](/handbook/tools-and-tips/zoom/#provide-links-rather-than-sharing-while-you-present-or-edit) in the agenda doc that are relevant to your story, such as, issues, epics, Figma files, Figjam boards, and recordings.
- When sharing directly from Figma files and issues, consider preparing an outline of the things you want to cover beforehand, filling in a few details of points you want to mention. Use this as a guide while you present your showcase to make it more linear & easy to follow for the audience.
- Is your internet connection limited? Stop the Zoom camera feed or try [these tips](https://www.canr.msu.edu/od/educational-technology/tips-zoom-slow-connection).
- Ask people to share their questions after a section of your shared work.
- It’s normal to have anxiety when everyone is looking at you. Remember: We’re here to support each other, not to judge each other.

Read more about presentation tips in the [communication handbook page](/handbook/communication/#presentations).

## Hosting

Product Design Managers take turns hosting the UX Showcase. Managers can use the [UX Showcase issue template](https://gitlab.com/gitlab-org/gitlab-design/-/issues/new?issuable_template=UX%20Showcase) to create a tracking issue for their team's showcase. See [how to use templates](https://docs.gitlab.com/ee/user/project/description_templates.html#use-the-templates).

### Recording the sessions

To limit the amount of post-UX Showcase editing, please start and stop (not pause) the recording after each topic. This will ensure that each topic saves as an individual clip, which is much faster to edit than a 1-hour clip. Choose "record to computer" each time you record.

### Sharing on GitLab Unfiltered

If you need to edit the videos at all, you can use a video editor like iMovie.

Otherwise,

1. Locate the video clips on your computer
1. Name the videos with "UX Showcase" + the title of the presentation
1. Check with presenters to make sure the video is appropriate for the public (no customer names)
1. Upload the videos to [GitLab Unfiltered](https://m.youtube.com/playlist?list=PL05JrBw4t0Kq89nFXtkVviaIfYQPptwJz)
1. Add the videos to the [UX Showcase playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0Kq89nFXtkVviaIfYQPptwJz) and [UX Team playlist](https://www.youtube.com/playlist?list=PL05JrBw4t0KqkW0oPW3n0HqVgKcONVnO5)
1. Set the visibility to Public
    * NOTE: If the video content contains items that are un[SAFE](https://about.gitlab.com/handbook/legal/safe-framework/) mark the video as Private.
1. Share the YouTube links in #ux and #product Slack channels with a brief description of each presentation
    - Add the same update to the Engineering FYI document. The document is available in the description of our internal ["engineering-fyi" Slack channel](https://gitlab.slack.com/archives/CJWA4E9UG).

#### Helpful tips

- If you cannot find the videos in your Zoom account, reach out to the calendar event owner, as it probably uploaded to their account.
- In iMovie, you can upload a video straight to YouTube, as long as it's under 15 minutes long. But you still have to go to YouTube to select the playlist.
- You can pick a better thumbnail and edit other settings after uploading by going to the [Uploads page](https://studio.youtube.com/channel/UCMtZ0sc1HHNtGGWZFDRTh5A/videos/upload) and selecting your video
- [More info about using YouTube](/handbook/marketing/marketing-operations/youtube/)

### Updating the schedule

After the sessions are over, update the [UX showcase schedule](https://gitlab.com/-/ide/project/gitlab-com/www-gitlab-com/edit/master/-/sites/handbook/source/includes/ux-showcase/_schedule.md).
